-- phpMyAdmin SQL Dump
-- version 5.0.3
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Czas generowania: 04 Gru 2023, 19:20
-- Wersja serwera: 10.4.14-MariaDB
-- Wersja PHP: 7.4.11

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Baza danych: `sklep`
--

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `podzespoly`
--

CREATE TABLE `podzespoly` (
  `id` int(11) NOT NULL,
  `typy_id` int(11) NOT NULL,
  `producenci_id` int(11) NOT NULL,
  `nazwa` text NOT NULL,
  `opis` text NOT NULL,
  `dostepnosc` bit(1) NOT NULL,
  `cena` decimal(7,2) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Zrzut danych tabeli `podzespoly`
--

INSERT INTO `podzespoly` (`id`, `typy_id`, `producenci_id`, `nazwa`, `opis`, `dostepnosc`, `cena`) VALUES
(1, 3, 1, 'Core i5-760X', 'Core i5-760XCore i5-760XCore i5-760X', b'1', '1000.00'),
(2, 3, 2, 'Core i3-6300', 'Core i3-6300Core i3-6300Core i3-6300', b'1', '575.00'),
(3, 1, 3, 'X6 FX-6350', 'X6 FX-6350X6 FX-6350X6 FX-6350', b'1', '380.00'),
(4, 2, 1, 'Savage', 'SavageSavageSavage', b'1', '535.00'),
(5, 3, 2, 'GTX 1060', 'GTX 1060GTX 1060GTX 1060', b'1', '1189.00'),
(6, 2, 3, 'WD Blue', 'WD BlueWD BlueWD Blue', b'1', '195.00'),
(7, 3, 1, 'AHD650-1TU3-CBK', 'AHD650-1TU3-CBKAHD650-1TU3-CBKAHD650-1TU3-CBK', b'1', '210.00'),
(8, 3, 2, 'Core i5-760X222', 'Core i5-760XCore i5-760XCore i5-760X', b'0', '1000.00'),
(9, 3, 3, 'Core i3-6300222', 'Core i3-6300Core i3-6300Core i3-6300', b'0', '575.00');

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `producenci`
--

CREATE TABLE `producenci` (
  `id` int(11) NOT NULL,
  `nazwa` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Zrzut danych tabeli `producenci`
--

INSERT INTO `producenci` (`id`, `nazwa`) VALUES
(1, 'INTEL'),
(2, 'Microsoft'),
(3, 'Apple');

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `typy`
--

CREATE TABLE `typy` (
  `id` int(11) NOT NULL,
  `kategoria` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Zrzut danych tabeli `typy`
--

INSERT INTO `typy` (`id`, `kategoria`) VALUES
(1, 'karta graficzna'),
(2, 'HDD'),
(3, 'procesor');

--
-- Indeksy dla zrzutów tabel
--

--
-- Indeksy dla tabeli `podzespoly`
--
ALTER TABLE `podzespoly`
  ADD PRIMARY KEY (`id`),
  ADD KEY `typy_id` (`typy_id`),
  ADD KEY `producenci_id` (`producenci_id`);

--
-- Indeksy dla tabeli `producenci`
--
ALTER TABLE `producenci`
  ADD PRIMARY KEY (`id`);

--
-- Indeksy dla tabeli `typy`
--
ALTER TABLE `typy`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT dla zrzuconych tabel
--

--
-- AUTO_INCREMENT dla tabeli `podzespoly`
--
ALTER TABLE `podzespoly`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10;

--
-- AUTO_INCREMENT dla tabeli `producenci`
--
ALTER TABLE `producenci`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT dla tabeli `typy`
--
ALTER TABLE `typy`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- Ograniczenia dla zrzutów tabel
--

--
-- Ograniczenia dla tabeli `podzespoly`
--
ALTER TABLE `podzespoly`
  ADD CONSTRAINT `podzespoly_ibfk_1` FOREIGN KEY (`typy_id`) REFERENCES `typy` (`id`),
  ADD CONSTRAINT `podzespoly_ibfk_2` FOREIGN KEY (`producenci_id`) REFERENCES `producenci` (`id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
